package oop.Verebung;

/*Verebung Arten in Java:
 * 
 * Verebungklasse erbt defaultvalue vom Klasse Object, die ist in Java Automatisch
 * 
 * 
 * 1. Single Verebung : ( B -> A )   Class B erbt von Class A 
 * 2. Miultilever Verebung:(C-> B -> A )   Class C erbt von Class B und Class B erbt von Class A
 * 3. Hierarchical Verebung: ( B -> A und C -> A) Class B erbt von A und C von A 
 * 
 * Wichtig: Muliverebung ist in Java nicht unterstützt
 * 			Lösungsmöglichkeit (Interface) also mit Interface kann 
 * 			( B -> A und B -> C) 
 */


/*
 * verebung mit schlüsselwort extends
 * Kindklasse ruft ihre constructor und ihre VaterKonstroktor 
 * constructor kann nicht verebt werden aber wir von kindklasse aufgerufen
 * also kindklasse gibt Parentconstructor und ihre constructor aus 
 * 
 */
public class Verebung {
	
	protected String name;
	protected String emailAdresse;
	protected String phone;
	protected String wohnung;
	protected String adresse;
	protected int gerbutstag;
	
	
	public Verebung() {
		
		System.out.println("Partentklasse");		
	}
	
	
	
	public Verebung(String name,String emailAdresse,String phone, String wohnung, String adresse,int gerbutstag) {
		this.name = name;
		this.emailAdresse = emailAdresse;
		this.phone = phone;
		this.wohnung = wohnung;
		this.adresse = adresse;
		this.gerbutstag = gerbutstag;
		
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public String getEmailAdresse() {
		return emailAdresse;
	}


	public void setEmailAdresse(String emailAdresse) {
		this.emailAdresse = emailAdresse;
	}


	public String getPhone() {
		return phone;
	}


	public void setPhone(String phone) {
		this.phone = phone;
	}


	public String getWohnung() {
		return wohnung;
	}


	public void setWohnung(String wohnung) {
		this.wohnung = wohnung;
	}


	public String getAdresse() {
		return adresse;
	}


	public void setAdresse(String adresse) {
		this.adresse = adresse;
	}


	public int getGerbutstag() {
		return gerbutstag;
	}


	public void setGerbutstag(int gerbutstag) {
		this.gerbutstag = gerbutstag;
	}
	
	
}
